%define api		0.2
%define major		5
%define girmajor	0.2
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{girmajor}

Summary:	An audio/video communications framework
Name:		farstream
Version:	0.2.7
Release:	%mkrel 1
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/Farstream
Group:		Networking/Instant messaging
Source0:	http://freedesktop.org/software/farstream/releases/%{name}/%{name}-%{version}.tar.xz
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel 
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gupnp-igd-devel 
BuildRequires: %{_lib}nice-devel 
BuildRequires: %{_lib}nice10
BuildRequires: make
BuildRequires: cmake

%description
The Farstream (formerly Farsight) project is an effort to create a framework to
deal with all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different streaming
protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farstream are Instant Messaging applications. These
applications should be able to use Farstream for all their Audio/Video
conferencing needs without having to worry about any of the lower level
streaming and NAT traversal issues.

%package -n %{libname}
Summary:	Farstream library
Group:		System/Libraries
Obsoletes:	%_lib%{name}0.2_2 < 0.2.7

%description -n %{libname}
Shared libraries for %{name}.

%package -n	gstreamer1.0-%{name}
Summary:	Set of plugins for GStreamer used Audio/Video conferencing
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n gstreamer1.0-%{name}
This is a set of plugins for GStreamer that will be used by Farstream
for Audio/Video conferencing.

%package -n %{develname}
Summary:	Headers of %{name} for development
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Provides:	%{_lib}farstream%{api}-devel = %{version}-%{release}


%description -n %{develname}
Headers of %{name} for development.


%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gupnp \
	--with-package-name="pclinuxos" \
	--with-package-origin="http://www.pclinuxos.com.org"
%make

%install
rm -rf %buildroot
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/%{name}-%{api}/*.so
%{_libdir}/girepository-1.0/Farstream-%{girmajor}.typelib

%files -n gstreamer1.0-%{name}
%{_libdir}/gstreamer-1.0/*.so
%dir %{_datadir}/%{name}/%{api}/
%{_datadir}/%{name}/%{api}/*

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}-libs-%{api}/
%doc %{_datadir}/gtk-doc/html/%{name}-plugins-%{api}/
%{_includedir}/%{name}-%{api}/
%{_datadir}/gir-1.0/Farstream-%{girmajor}.gir
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so

%changelog
* Fri Jan 01 2016 bb <bb> 0.2.7-1pclos2016
- update

* Wed Mar 11 2015 bb <bb> 0.2.4-1pclos2015
- import from france
